Subject: RE: [PATCH v6 00/22] Add Intel Ethernet Protocol Driver for RDMA (irdma)

From: "Saleem, Shiraz" <[email-masked]>
Date: Thu, 20 May 2021 21:17:43 +0000

> Subject: Re: [PATCH v6 00/22] Add Intel Ethernet Protocol Driver for RDMA
> (irdma)
> 
> On Thu, May 20, 2021 at 09:37:47AM -0500, Shiraz Saleem wrote:
> 
> > This series is built against 5.13-rc1 and currently includes the
> > netdev patches for ease of review. This includes updates to 'ice'
> > driver to provide RDMA support and converts 'i40e' driver to use the auxiliary
> bus infrastructure.
> > A shared pull request can be submitted once the community ACKs this
> submission.
> 
> Other than the one note I think I am fine with this now, but it is absolutely huge.
> 
> The rdma-core part needs to be put as a PR to the github, and I haven't looked at
> that yet. The current provider will work with this driver, yes?

Yes.

Tatyana will send a PR on github for new rdma-core provider.

> 
> Next you need to get the first 6 ethernet i40e patches onto a git branch based on
> v5.13-rc1 for Dave/Jakub to pull. Resend a v7 of just the rdma parts once netdev's
> part is accepted and I'll sort out the last steps for the rdma part.

OK.